Subject: bug#67652: Guix home - bash alias declarations order

From: Atte Torri <[email-masked]>
Date: Tue, 5 Dec 2023 16:54:10 +0100 (CET)

Hello, 

I have an issue with guix home alias declarations. The aliases I declare in my home configuration always end up on top of the .bashrc file, while the documentation for the home-bash-service-type says "The aliases will be defined after the contents of the bashrc field has been put in the .bashrc file.". The following is the bash configuration I use 

(service home-bash-service-type 
(home-bash-configuration 
(bashrc (list (local-file ".bashrc" "bashrc"))) 
(bash-profile (list (local-file ".bash_profile" "bash_profile"))) 
(bash-logout (list (local-file ".bash_logout" "bash_logout"))) 
(aliases '(("egrep" . "egrep --color=auto") 
("fgrep" . "fgrep --color=auto") 
("grep" . "grep --color=auto") 
("l" . "ls -CF") 
("la" . "ls -A") 
("ll" . "ls -alF") 
("ls" . "ls --color=auto"))))) 

M. TORRI Atte 
PhD Student (Computer Science) at Université Paris-Saclay 
Doctorant (Informatique) à l'Université Paris-Saclay 
Équipe ParSys - Laboratoire Interdisciplinaire des Sciences du Numérique (LISN) 
Bureau 105 - Bâtiment 650 
[email-masked] | 0169153106